package gitlab

import (
	"context"
	"fmt"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Gitlab struct {
	Username string
	Password string
}

func NewGitlab(cfg configcli.Config) *Gitlab {
	return &Gitlab{
		Username: cfg.Source.Username,
    Password: cfg.Source.Password,
	}
}

func (g *Gitlab) Name() string {
	return "gitlab"
}

func (g *Gitlab) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return fmt.Errorf("implement me")
}
func (g *Gitlab) RequestClose(ctx context.Context, branch string, path string) error {
	return fmt.Errorf("implement me")
}
func (g *Gitlab) RequestUpdate(ctx context.Context, branch string, path string, mod modules.Update) error {
	return fmt.Errorf("implement me")
}
func (g *Gitlab) RequestList(ctx context.Context, branch string) (map[string]string, error) {
	return nil, fmt.Errorf("implement me")
}
